Player = class('Player')

function Player:initialize()
	self.x = 200
	self.y = 400
	self.sprite = love.graphics.newImage("character.png")
end

function Player:update(dt)
	local changex = 0
	local changey = 0
	
	-- [[ INPUTS ]] --
	if love.keyboard.isDown("right") then
		self.x = self.x + 300 * dt
		changex = -300 * dt
	end
	if love.keyboard.isDown("left") then
		self.x = self.x - 300 * dt
		changex = 300 * dt
	end
	if love.keyboard.isDown("up") then
		self.y = self.y - 300 * dt
		changey = 300 * dt
	end
	if love.keyboard.isDown("down") then
		self.y = self.y + 300 * dt
		changey = -300 * dt
	end
	-- [[ END OF INPUTS ]] --
	
	-- Check for collision, if we collide, put the player
	-- where they were before the collision.
	if game.map:checkCollision(self.x,self.y) then
		self.x = self.x + changex
		self.y = self.y + changey		
	end
end

function Player:draw()
	love.graphics.draw(self.sprite,768/2, 768/2)
end